/**
 * Copyright Aquera Inc 2025
 *
 * This source code is licensed under the BSD-3-Clause license found in the
 * LICENSE file in the root directory of this source tree.
 */
export declare function getSlottedElement(shadowRoot: ShadowRoot | null | undefined): HTMLElement | null;
export declare function getValueFromSlottedElement(shadowRoot: ShadowRoot | null | undefined): string;
export declare function getDisplayValue(value: string, maxPlaceholderLength: number): string;
export declare function setSlottedElementValue(shadowRoot: ShadowRoot | null | undefined, value: string): void;
export declare function updateSlottedElementValue(updateComplete: Promise<boolean> | Promise<void>, shadowRoot: ShadowRoot | null | undefined, value: string): void;
export declare function updateValueFromSlottedElement(shadowRoot: ShadowRoot | null | undefined, currentValue: string): string;
export declare function handleDocumentFocusIn(event: FocusEvent, component: HTMLElement, isOpen: boolean): {
    shouldClose: boolean;
    newValue: string | null;
};
export declare function handleDocumentMouseDown(event: MouseEvent, component: HTMLElement, isOpen: boolean): {
    shouldClose: boolean;
    newValue: string | null;
};
